Get
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AppEntitlementsProxy.Get(ctx, operations.C1APIAppV1AppEntitlementsProxyGetRequest{
DstAppEntitlementID: "<id>",
DstAppID: "<id>",
SrcAppEntitlementID: "<id>",
SrcAppID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.GetAppEntitlementProxyResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.appEntitlementsProxy.get({
srcAppId: "<id>",
srcAppEntitlementId: "<id>",
dstAppId: "<id>",
dstAppEntitlementId: "<id>",
});
console.log(result);
}
run();curl --request GET \
--url https://{tenantDomain}.conductor.one/api/v1/apps/{src_app_id}/{src_app_entitlement_id}/bindings/{dst_app_id}/{dst_app_entitlement_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/apps/{src_app_id}/{src_app_entitlement_id}/bindings/{dst_app_id}/{dst_app_entitlement_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}.conductor.one/api/v1/apps/{src_app_id}/{src_app_entitlement_id}/bindings/{dst_app_id}/{dst_app_entitlement_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"appProxyEntitlementView": {
"appProxyEntitlement": {
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"disabledAt": "2023-11-07T05:31:56Z",
"dstAppEntitlementId": "<string>",
"dstAppId": "<string>",
"implicit": true,
"srcAppEntitlementId": "<string>",
"srcAppId": "<string>",
"systemBuiltin": true,
"updatedAt": "2023-11-07T05:31:56Z"
},
"dstAppEntitlementPath": "<string>",
"dstAppPath": "<string>",
"srcAppEntitlementPath": "<string>",
"srcAppPath": "<string>"
},
"expanded": [
{
"@type": "<string>"
}
]
}App Entitlement Proxy Binding
Get
Retrieve a specific proxy binding between a source and destination entitlement.
GET
/
api
/
v1
/
apps
/
{src_app_id}
/
{src_app_entitlement_id}
/
bindings
/
{dst_app_id}
/
{dst_app_entitlement_id}
Get
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AppEntitlementsProxy.Get(ctx, operations.C1APIAppV1AppEntitlementsProxyGetRequest{
DstAppEntitlementID: "<id>",
DstAppID: "<id>",
SrcAppEntitlementID: "<id>",
SrcAppID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.GetAppEntitlementProxyResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.appEntitlementsProxy.get({
srcAppId: "<id>",
srcAppEntitlementId: "<id>",
dstAppId: "<id>",
dstAppEntitlementId: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The ID of the app that owns the source entitlement.
The ID of the source (parent) entitlement.
The ID of the app that owns the destination entitlement.
The ID of the destination (child) entitlement.
Response
200 - application/json
The response message for getting a specific entitlement proxy binding.
Was this page helpful?
⌘I